# pydicom.values.convert_value

pydicom.values.convert_value(VR: str, raw_data_element: RawDataElement, encodings: str | MutableSequence[str] | None = None) → Any | MutableSequence[Any]

  Return the element value decoded using the appropriate decoder.

  Parameters:

    - VR (str) – The element’s VR.

    - raw_data_element (pydicom.dataelem.RawDataElement) – The encoded element value.

    - encodings (list of str, optional) – A list of the character encoding schemes used to encode any text elements.

  Returns:

    The element value decoded using the appropriate decoder.

  Return type:

    type or MultiValue of type